<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::namespace('Api')->group(function () {
// Route::middleware('auth:api')->get('/opcdata', function (Request $request) {
    Route::any('opcdata/getData', 'OpcDataController@getData');
//    Route::any('opcdata/getTurboData', 'OPCDataTurboController@getData');
    Route::any('opcdata/getTurboData', 'OpcDataRedisController@getData');

    Route::any('apidata/getCarIllegalList', 'CarIllegalController@getList');
    Route::any('apidata/getCarDownIllegalList', 'CarIllegalDownSpeedController@getList');
    Route::any('apidata/getCarRunRedLightList', 'CarIllageDownLightController@getList');
    Route::any('apidata/getCarDownIllegalAllList', 'CarIllegalDownController@getList');
    Route::any('apidata/getCarCurrInfoList', 'CarDownCurrInfoController@getList');
    Route::any('apidata/getDriverInfoList', 'CarDownCurrInfoController@driverList');
    Route::any('apidata/getCarTaskInfoList', 'CarDownCurrInfoController@taskList');
    Route::any('apidata/getLightCurrInfoList', 'CarDownCurrLightInfoController@getList');
    Route::any('apidata/getSiteCurrInfoList', 'CarDownCurrSiteInfoController@getList');

    Route::any('zaoquan/dcs/getFan', 'zaoquan\\ZQDcsFanController@getList'); // 风机
    Route::any('zaoquan/dcs/workface', 'zaoquan\\ZQDcsWorkFaceController@getList'); // 工作面
    Route::any('zaoquan/dcs/an', 'zaoquan\\ZQDcsAirAndNitrogenController@getList'); // 压风制氮
    Route::any('zaoquan/dcs/pump', 'zaoquan\\ZQDcsPumpController@getList'); // 水泵
    Route::any('zaoquan/dcs/power', 'zaoquan\\ZQDcsPowerController@getList'); // 电力
    Route::any('zaoquan/dcs/getSupport', 'zaoquan\\ZQDcsSupportController@getList'); // 支架

//    Route::any('zaoquan/dcs/dustMonitor', 'zaoquan\\ZQDcsSupportController@getDustMonitorList'); // 扬尘

});
