<?php

namespace Modules\OpcData\Services\zaoquan;

use GuzzleHttp\Client;

class ZQDcsOpcService
{
    public $python_path = [
        'keyword' => '/usr/bin/python311',
        'curr'=>[
            'path' => '/home/python_proj/python_custom_script/zaoquan/dcs/',
            'fname' => 'test1.py',
        ],
        'zq' =>[
            'name' => 'zaoquan',
            'path' => '/home/python_proj/python_custom_script/zaoquan/dcs/',
            'fname' => 'test1.py',
        ]
    ];

    public function getDcsOpcData($pointArr, $sys_name='curr') {


        if(!is_array($pointArr)) null;

        $sysInfo = $this->python_path[$sys_name];

        $pids = $pointArr;

        $pyPath = $sysInfo['path'];
        $pyFName = $sysInfo['fname'];
        $pyKeyWord = $this->python_path['keyword'];

        $pidsJson = json_encode($pids);

        $command = "$pyKeyWord {$pyPath}{$pyFName}". ' ' . escapeshellarg("{$pidsJson}");

        // 调用Python脚本
        $output = shell_exec($command);
        return $output;

    }
}
